import { Injectable } from '@nestjs/common';
import { BaseReportService } from '../shared/services/base-report.service';
import { CreateReportBookmarkDto } from '../shared/dto/report-bookmark.create.dto';
import {
  GetLabelReportBookmarkDto,
  GetReportBookmarkDto,
} from '../shared/dto/report-bookmark.get.dto';

@Injectable()
export class ReportBookmarkService extends BaseReportService {
  async create(body: CreateReportBookmarkDto) {
    return 'you hit API for create report bookmark';
  }

  async getAll(query: GetReportBookmarkDto) {
    return 'you hit API for get all report bookmark';
  }

  async getAllLabelHistory(query: GetLabelReportBookmarkDto) {
    return 'you hit API for get all label history report bookmark';
  }

  async applied(id: string) {
    return 'you hit API for applied report bookmark';
  }

  async unapplied(id: string) {
    return 'you hit API for unapplied report bookmark';
  }

  async delete(id: string) {
    return 'you hit API for delete report bookmark';
  }
}
