import { Injectable } from '@nestjs/common';
import { BaseReportService } from '../shared/services/base-report.service';
import { CreateReportExportDto } from '../shared/dto/report-export.create.dto';
import {
  GetReportExportDto,
  GetReportExportFileNameDto,
  GetReportExportProcessingDto,
} from '../shared/dto/report-export.get.dto';

@Injectable()
export class ReportExportService extends BaseReportService {
  async create(body: CreateReportExportDto) {
    return 'you hit API for create report export';
  }

  async getAll(query: GetReportExportDto) {
    return 'you hit API for get all report export';
  }

  async delete(id: string) {
    return 'you hit API for delete report export';
  }

  async getAllProcessing(query: GetReportExportProcessingDto) {
    return 'you hit API for get all processing report export';
  }

  async getListHistoryFileName(query: GetReportExportFileNameDto) {
    return 'you hit API for get all file name report export';
  }
}
